### Hierarchy

- BpmnDiagram

### Implements

- IBpmnDiagram

## Index

### Constructors

- constructor

### Properties

- _definitions

### Accessors

- definitions

### Methods

- _getProcessById
- getErrorById
- getErrors
- getFlows
- getLaneOfElement
- getLanes
- getMessageById
- getMessages
- getNodes
- getParticipants
- getProcesses
- getSignalById
- getSignals

## Constructors

### constructor

- new BpmnDiagram(definitions: any): BpmnDiagram

- - Defined in bpmn_diagram.ts:5

  #### Parameters

  - ##### definitions: any

  #### Returns BpmnDiagram

## Properties

### Private _definitions

_definitions: any = undefined

- Defined in bpmn_diagram.ts:5

## Accessors

### definitions

- get definitions(): any

- - Defined in bpmn_diagram.ts:11

  #### Returns any

## Methods

### Private _getProcessById

- _getProcessById(processId: string): any

- - Defined in bpmn_diagram.ts:115

  #### Parameters

  - ##### processId: string

  #### Returns any

### getErrorById

- getErrorById(errorId: string): any

- - Defined in bpmn_diagram.ts:184

  #### Parameters

  - ##### errorId: string

  #### Returns any

### getErrors

- getErrors(): any

- - Defined in bpmn_diagram.ts:170

  #### Returns any

### getFlows

- getFlows(processId: string): any

- - Defined in bpmn_diagram.ts:102

  #### Parameters

  - ##### processId: string

  #### Returns any

### getLaneOfElement

- getLaneOfElement(elementId: string): any

- - Defined in bpmn_diagram.ts:61

  #### Parameters

  - ##### elementId: string

  #### Returns any

### getLanes

- getLanes(processId: string): any

- - Defined in bpmn_diagram.ts:43

  #### Parameters

  - ##### processId: string

  #### Returns any

### getMessageById

- getMessageById(messageId: string): any

- - Defined in bpmn_diagram.ts:161

  #### Parameters

  - ##### messageId: string

  #### Returns any

### getMessages

- getMessages(): any

- - Defined in bpmn_diagram.ts:147

  #### Returns any

### getNodes

- getNodes(processId: string): any

- - Defined in bpmn_diagram.ts:89

  #### Parameters

  - ##### processId: string

  #### Returns any

### getParticipants

- getParticipants(): any

- - Defined in bpmn_diagram.ts:29

  #### Returns any

### getProcesses

- getProcesses(): any

- - Defined in bpmn_diagram.ts:15

  #### Returns any

### getSignalById

- getSignalById(signalId: string): any

- - Defined in bpmn_diagram.ts:138

  #### Parameters

  - ##### signalId: string

  #### Returns any

### getSignals

- getSignals(): any

- - Defined in bpmn_diagram.ts:124

  #### Returns any

Generated using TypeDoc